#ifndef __VIEWCELLSDPARSER_H
#define __VIEWCELLSDPARSER_H

#include "Parser.h"
#include "Containers.h"

namespace GtpVisibilityPreprocessor {

class ViewCellsManager;
class VspBspTree;
class BoundingBoxConverter;
class Environment;

class ViewCellsParser : public Parser
{
public:
  ViewCellsParser():Parser() {}
  
  bool ParseViewCellsFile(
	  const string filename, 
	  ViewCellsManager **viewCells,
	  ObjectContainer *objects,
	  BoundingBoxConverter *bconverter);
};

}

#endif
